aboutsummaryrefslogtreecommitdiff
path: root/.local/bin/transadd
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/transadd')
-rwxr-xr-x.local/bin/transadd14
1 files changed, 14 insertions, 0 deletions
diff --git a/.local/bin/transadd b/.local/bin/transadd
new file mode 100755
index 0000000..652150c
--- /dev/null
+++ b/.local/bin/transadd
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Starting transmission-daemon if not already running
+# transmission-daemon sometimes fails to take remote requests in its first moments, hence the sleep.
+pidof transmission-daemon >/dev/null || (transmission-daemon && notify-send "Starting transmission daemon...")
+sleep 3
+
+# adding the Torrent
+if [ -z "$*" ]; then
+ magnetlink="$(wl-paste)"
+ transmission-remote -a "$magnetlink" && notify-send "🔽 Torrent added."
+else
+ transmission-remote -a "$@" && notify-send "🔽 Torrent added."
+fi